/**
 * Map current index to bullet elements index.
 *
 * @param index Current index.
 * @param center Center index of bullets (5 bullets -> center: 2).
 * @param bullets Amount of bullets.
 * @param total Total bullets. Same as amount of slides.
 */
export declare function mapActiveIndex(index: number, center: number, bullets: number, total: number): number;
/**
 * Return true if bullet is edge bullet.
 *
 * @param index Index of bullet.
 * @param realIndex Real slide index which bullet represents.
 * @param bullets Amount of shown bullets.
 * @param total Total bullets. Same as amount of slides.
 */
export declare function isEdgeBullet(index: number, realIndex: number, bullets: number, total: number): boolean;
export declare class Pagination {
    private _container;
    private _totalSlides;
    private _ref;
    private _currentIndex;
    private _centerIndex;
    private _bulletsLength;
    private _diameter;
    private _isActive;
    constructor(_container: HTMLElement, _totalSlides: number, { diameter, bullets, isActive }?: {
        diameter?: number;
        bullets?: number;
        isActive?: boolean;
    });
    render(): void;
    next(): void;
    prev(): void;
    private _goTo;
    private _handleBulletMovement;
    private _renderBullet;
    private _setAttributes;
    private _insertBullet;
}
