import { ComponentDependencies } from './../component';
export declare type LazyLoadImageSettings = {
    /**
     * Enables lazyloading imagest that are currently not visible, thus saving bandwidth.
     */
    lazyload?: boolean;
    /**
     * The CSS selector for lazyloaded images. Default 'img,picture'
     */
    lazyloadSelector?: string;
};
export declare class LazyLoadImage {
    private _imports;
    private _lazyload;
    private _lazyloadSelector;
    constructor(_imports: ComponentDependencies, _settings: LazyLoadImageSettings);
    /**
     * Lazy load images.
     */
    private _doLazyLoad;
    /**
     * Get all image tags (<img>, <picture>) to lazy load.
     */
    private _getImages;
    /**
     * Do the actual lazy loading for a given image.
     *
     * @param image Either <img> or <picture> tag.
     */
    private _loadImage;
    private _onLoad;
    private _onError;
    private _getEvents;
    private _completeLoading;
}
